> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/88.-mutacja-eksportuj-zonesmap-jako-spakowany-shapefile.md).

# 88. Mutacja: Eksportuj ZonesMap jako spakowany Shapefile

Wygeneruj archiwum zip z wybraną mapą "ZonesMap" jako plik shapefile.

{% hint style="info" %}
Archiwum składa się z plików \*.shp, \*.shx, \*.prj, \*.dbf w EPSG:4326.
{% endhint %}

### 1. Przygotowanie

* Atrybut `vectorAnalysisMaps` zawiera tablicę obiektów ZonesMaps (VectorAnalysisMaps) do wyeksportowania. Każdy taki obiekt zawiera parę `fieldUuid` (powiązanie z wybranym Polem) oraz `uuid` (powiązanie z wybraną mapą ZonesMap).
* Atrybut boolean `asMultiGeometry` określa, czy strefy są eksportowane jako `Poligony` lub `MultiPoligony` (gdy ustawione na `true` ).
* Atrybut boolean `onlyProductColumns` określa, czy tylko kolumny z produktami (RX) powinny być uwzględnione w pliku shapefile (gdy `true`). W przeciwnym razie wszystkie atrybuty statystyczne i identyfikatory stref zostaną dołączone jako kolumny.
* Atrybut `archiveName` zawiera nazwę wygenerowanego archiwum zip.
* Atrybut `filePostfix` pozwala na dodanie niestandardowych przyrostków do eksportowanych plików i archiwum.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Pobierz wygenerowane archiwum

Po wykonaniu zapytania GraphQL można je pobrać używając `curl` lub podobnego podejścia.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/88.-mutacja-eksportuj-zonesmap-jako-spakowany-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
